package com.tzld.longarticle.recommend.server.service.strategy.reply.impl;

import com.tzld.longarticle.recommend.server.common.enums.cgi.ReplyStrategyServiceEnum;
import com.tzld.longarticle.recommend.server.model.cgi.BucketDataParam;
import com.tzld.longarticle.recommend.server.model.cgi.ReplyBucketData;
import com.tzld.longarticle.recommend.server.service.strategy.reply.ReplyStrategyService;
import org.springframework.stereotype.Service;

@Service
public class BuckStrategyV1 implements ReplyStrategyService {

    /**
     * 实验分桶数量
     */
    private static final Integer bucketNum = 10;

    /**
     * 自动回复使用小程序Id
     */
    private static final String CGI_Id = "gh_1ee2e1b39ccf";

    @Override
    public ReplyBucketData getResult(BucketDataParam bucketDataParam) {
        // 1 处理文章数据

        // 2 处理小程序数据

        // 2.1 获取小程序落地页地址 http调用 判断如果库里有复用

        // 3 入库读表 组装数据

        // 4 返回
        return null;
    }

    @Override
    public Boolean support(ReplyStrategyServiceEnum key) {
        return ReplyStrategyServiceEnum.BUCKET_STRATEGY_V1.equals(key);
    }
}
